Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.setup
Class SelectSetupStepAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
                  com.atlassian.bamboo.ww2.actions.setup.SelectSetupStepAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class SelectSetupStepAction

extends AbstractSetupAction

A simple action, the goal of which is to redirect the user to the correct setup step

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`SelectSetupStepAction()`

Method Summary
`String` | `execute()`
`String` | `getApplicationHome()`
`String` | `getCurrentStep()` CurrenStep used in the thew xwork.xml to choose what step to go to.
`String` | `getJdkName()`
`String` | `getServerName()`
`boolean` | `isApplicationHomeOk()`
`boolean` | `isEverythingOk()`
`boolean` | `isJdk14()`
`boolean` | `isServlet23()`

Methods inherited from class com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
`getBootstrapManager, getSetupPersister, getSetupTypeInstall, setSetupPersister, setSetupTypeInstall`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### SelectSetupStepAction

    public SelectSetupStepAction()

Method Detail

### execute

    public String execute()

### getCurrentStep

    public String getCurrentStep()

  CurrenStep used in the thew xwork.xml to choose what step to go to.

  Returns:
    action name to redirect to

### isEverythingOk

    public boolean isEverythingOk()

### isJdk14

    public boolean isJdk14()

### isServlet23

    public boolean isServlet23()

### isApplicationHomeOk

    public boolean isApplicationHomeOk()

### getJdkName

    public String getJdkName()

### getServerName

    public String getServerName()

### getApplicationHome

    public String getApplicationHome()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.